Bug 163806 - New port: devel/arduino-lib-irremote: A Multi-Protocol Infrared Remote Library for the Arduino
Summary: New port: devel/arduino-lib-irremote: A Multi-Protocol Infrared Remote Librar...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-03 23:50 UTC by leres
Modified: 2012-07-21 10:20 UTC (History)
0 users

See Also:


Attachments
arduino-irremote-0.1-10.shar (4.34 KB, text/plain; charset=us-ascii)
2012-07-21 03:23 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-01-03 23:50:13 UTC
 -----BEGIN PGP SIGNED MESSAGE-----
 Hash: SHA1
 	This new port installs an Arduino library written by Ken
 	Shirriff that allows the Arduino to send and receive IR
 	remote codes for a variety of protocols. It includes a patch
 	to allow use with arduino-1.0.
 
 	Files for the new port are available here:
 	
 http://xse.com/leres/software/arduino/arduino-lib-irremote/arduino-lib-irremote-0.1_1.tar.gz
 	
 http://xse.com/leres/software/arduino/arduino-lib-irremote/arduino-lib-irremote-0.1_1.tar.gz.asc
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v1.4.11 (FreeBSD)
 Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
 
 iEYEARECAAYFAk8DktoACgkQWxlAhAje3JuVbgCeO1EvO74yfdGMYdU5aWA0KDvV
 ZGEAn1vdHFEmQvk0F+I70VeaNJcbjl6g
 =5c3z
 -----END PGP SIGNATURE-----
Comment 1 Mark Linimon freebsd_committer 2012-01-04 00:20:03 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue from 'pending' queue.
Comment 2 Mark Linimon freebsd_committer 2012-01-05 02:55:25 UTC
Class Changed
From-To: sw-bug->change-request

Fix formatting.
Comment 3 scheidell freebsd_committer 2012-02-05 10:57:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 scheidell freebsd_committer 2012-02-05 11:02:00 UTC
State Changed
From-To: open->feedback

Thank you for helping add additional features to FreeBSD.  Your work is appreciated. 
A couple of notes:  
1)port name:  would you consider arduino-irremote?  
2)in the future, please submit new ports with class 'change-request', and use a shar. 
3)Makefile order is important, LICENSE is in the wrong section (I can fix) 
4)Patch files should not be in DOS format 
(if the source is in DOS format, consider using USE_DOS2UNIX to convert first) 

(run portlint -N on all new ports and fix lint errors before making your shar) 

Let me know about portname. 
Thanks again for your many contributions to FreeBSD.
Comment 5 scheidell freebsd_committer 2012-02-20 11:58:58 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

Back to pool
Comment 6 scheidell freebsd_committer 2012-02-20 11:59:12 UTC
State Changed
From-To: feedback->open

No feedback
Comment 7 leres 2012-02-23 02:43:41 UTC
Sorry, I didn't realize you were waiting for me to re-submit the shar.

This version is named arduino-irremote, I fixed the ordering in the
Makefil and added USE_DOS2UNIX (thanks!)

I'll also try "attaching" the shar the send-pr does (without mime at all!)

		Craig

--- arduino-irremote-0.1-10.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	files/patch-IRremoteInt.h
#	pkg-descr
#	distinfo
#	Makefile
#
echo x - files/patch-IRremoteInt.h
sed 's/^X//' >files/patch-IRremoteInt.h <<
'29931596181fcef18a74f698a7ef74c6'
X--- IRremoteInt.h.orig	2009-09-05 23:55:48.000000000 -0700
X+++ IRremoteInt.h	2011-12-27 15:40:59.000000000 -0800
X@@ -12,12 +12,16 @@
X #ifndef IRremoteint_h
X #define IRremoteint_h
X
X+#if defined(ARDUINO) && ARDUINO >= 100
X+#include <Arduino.h>
X+#else
X #include <WProgram.h>
X+#endif
X
X #define CLKFUDGE 5      // fudge factor for clock interrupt overhead
X #define CLK 256      // max value for clock (timer 2)
X #define PRESCALE 8      // timer2 clock prescale
X-#define SYSCLOCK 16000000  // main Arduino clock
X+#define SYSCLOCK F_CPU  // main Arduino clock
X #define CLKSPERUSEC (SYSCLOCK/PRESCALE/1000000)   // timer clocks per
microsecond
X
X #define ERR 0
29931596181fcef18a74f698a7ef74c6
echo x - pkg-descr
sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
XA Multi-Protocol Infrared Remote Library for the Arduino
X
XThis IR remote library, written by Ken Shirriff, lets you both send
Xand receive IR remote codes in multiple protocols. It supports NEC,
XSony SIRC, Philips RC5, Philips RC6, and raw protocols.
X
XWWW:
http://www.arcfn.com/2009/08/multi-protocol-infrared-remote-library.html
7f9555c3c1089940396b503dd37f3979
echo x - distinfo
sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
XSHA256 (IRremote.zip) =
2eff9847285330796b1fc8bf007f4a2f16dea7546ba1fcbaef1592a2235a60d4
XSIZE (IRremote.zip) = 23732
57677d168a5ec21bdf22c9501f075a8f
echo x - Makefile
sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
X# New ports collection makefile for:	arduino-irremote
X# Date created:		02 Apr 2011
X# Whom:			Craig Leres <leres@ee.lbl.gov>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	arduino-irremote
XPORTVERSION=	0.1
XCATEGORIES=	devel
XMASTER_SITES=	http://files.arcfn.com/files/
XDISTNAME=	IRremote
X
XMAINTAINER=	leres@ee.lbl.gov
XCOMMENT=	Build Arduino sketches from the command line
X
XLICENSE=	LGPL21
X
XRUN_DEPENDS=	arduino:${PORTSDIR}/devel/arduino
X
XWRKSRC=		${WRKDIR}/IRremote
XUSE_ZIP=	yes
XUSE_DOS2UNIX=	yes
X
XNO_BUILD=	yes
X
XPLIST_FILES=	arduino/libraries/IRremote/IRremote.cpp \
X		arduino/libraries/IRremote/IRremote.h \
X		arduino/libraries/IRremote/IRremoteInt.h \
X		arduino/libraries/IRremote/keywords.txt
XPLIST_DIRS=	arduino/libraries/IRremote
X
X.if !defined(NOPORTEXAMPLES)
XPLIST_FILES+=	${EXAMPLESDIR_REL}/IRrecord/IRrecord.pde \
X		${EXAMPLESDIR_REL}/IRrecvDemo/IRrecvDemo.pde \
X		${EXAMPLESDIR_REL}/IRrecvDump/IRrecvDump.pde \
X		${EXAMPLESDIR_REL}/IRrelay/IRrelay.pde \
X		${EXAMPLESDIR_REL}/IRsendDemo/IRsendDemo.pde \
X		${EXAMPLESDIR_REL}/IRtest/IRtest.pde
XPLIST_DIRS+=	${EXAMPLESDIR_REL}/IRrecord \
X		${EXAMPLESDIR_REL}/IRrecvDemo \
X		${EXAMPLESDIR_REL}/IRrecvDump \
X		${EXAMPLESDIR_REL}/IRrelay \
X		${EXAMPLESDIR_REL}/IRsendDemo \
X		${EXAMPLESDIR_REL}/IRtest \
X		${EXAMPLESDIR_REL}
X.endif
X
Xdo-install:
X	${MKDIR} ${PREFIX}/arduino/libraries/IRremote
X	${INSTALL_DATA} ${WRKSRC}/IRremote.cpp
${PREFIX}/arduino/libraries/IRremote
X	${INSTALL_DATA} ${WRKSRC}/IRremote.h ${PREFIX}/arduino/libraries/IRremote
X	${INSTALL_DATA} ${WRKSRC}/IRremoteInt.h
${PREFIX}/arduino/libraries/IRremote
X	${INSTALL_DATA} ${WRKSRC}/keywords.txt
${PREFIX}/arduino/libraries/IRremote
X.if !defined(NOPORTEXAMPLES)
X	${MKDIR} ${EXAMPLESDIR}
X	${MKDIR} ${EXAMPLESDIR}/IRrecord
X	${INSTALL_DATA} ${WRKSRC}/examples/IRrecord/IRrecord.pde
${EXAMPLESDIR}/IRrecord
X	${MKDIR} ${EXAMPLESDIR}/IRrecvDemo
X	${INSTALL_DATA} ${WRKSRC}/examples/IRrecvDemo/IRrecvDemo.pde
${EXAMPLESDIR}/IRrecvDemo
X	${MKDIR} ${EXAMPLESDIR}/IRrecvDump
X	${INSTALL_DATA} ${WRKSRC}/examples/IRrecvDump/IRrecvDump.pde
${EXAMPLESDIR}/IRrecvDump
X	${MKDIR} ${EXAMPLESDIR}/IRrelay
X	${INSTALL_DATA} ${WRKSRC}/examples/IRrelay/IRrelay.pde
${EXAMPLESDIR}/IRrelay
X	${MKDIR} ${EXAMPLESDIR}/IRsendDemo
X	${INSTALL_DATA} ${WRKSRC}/examples/IRsendDemo/IRsendDemo.pde
${EXAMPLESDIR}/IRsendDemo
X	${MKDIR} ${EXAMPLESDIR}/IRtest
X	${INSTALL_DATA} ${WRKSRC}/examples/IRtest/IRtest.pde ${EXAMPLESDIR}/IRtest
X.endif
X
X.include <bsd.port.mk>
b67911656ef5d18c4ae36cb6741b7965
exit
--- arduino-irremote-0.1-10.shar ends here ---
Comment 8 Pawel Pekala freebsd_committer 2012-07-20 17:40:18 UTC
Please resubmit shar as a attachment and I will take a look at it.
Thanks.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 9 leres 2012-07-21 03:23:34 UTC
On 07/20/12 09:40, Pawel Pekala wrote:
> Please resubmit shar as a attachment and I will take a look at it.

Thank you!

		Craig

Comment 10 dfilter freebsd_committer 2012-07-21 10:17:16 UTC
Author: pawel
Date: Sat Jul 21 09:17:05 2012
New Revision: 301269
URL: http://svn.freebsd.org/changeset/ports/301269

Log:
  A Multi-Protocol Infrared Remote Library for the Arduino
  
  This IR remote library, written by Ken Shirriff, lets you both send
  and receive IR remote codes in multiple protocols. It supports NEC,
  Sony SIRC, Philips RC5, Philips RC6, and raw protocols.
  
  WWW: http://www.arcfn.com/2009/08/multi-protocol-infrared-remote-library.html
  
  PR:		ports/163806
  Submitted by:	Craig Leres <leres@ee.lbl.gov>

Added:
  head/devel/arduino-irremote/
  head/devel/arduino-irremote/Makefile   (contents, props changed)
  head/devel/arduino-irremote/distinfo   (contents, props changed)
  head/devel/arduino-irremote/files/
  head/devel/arduino-irremote/files/patch-IRremoteInt.h   (contents, props changed)
  head/devel/arduino-irremote/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sat Jul 21 09:06:31 2012	(r301268)
+++ head/devel/Makefile	Sat Jul 21 09:17:05 2012	(r301269)
@@ -52,6 +52,7 @@
     SUBDIR += apr2
     SUBDIR += arduino
     SUBDIR += arduino-glcd
+    SUBDIR += arduino-irremote
     SUBDIR += arduino-mk
     SUBDIR += argouml
     SUBDIR += argp-standalone

Added: head/devel/arduino-irremote/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-irremote/Makefile	Sat Jul 21 09:17:05 2012	(r301269)
@@ -0,0 +1,62 @@
+# New ports collection makefile for:	arduino-irremote
+# Date created:		02 Apr 2011
+# Whom:			Craig Leres <leres@ee.lbl.gov>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	arduino-irremote
+PORTVERSION=	0.1
+CATEGORIES=	devel
+MASTER_SITES=	http://files.arcfn.com/files/
+DISTNAME=	IRremote
+
+MAINTAINER=	leres@ee.lbl.gov
+COMMENT=	Multi-protocol infrared remote library for the Arduino
+
+LICENSE=	LGPL21
+
+RUN_DEPENDS=	arduino:${PORTSDIR}/devel/arduino
+
+WRKSRC=		${WRKDIR}/IRremote
+USE_ZIP=	yes
+USE_DOS2UNIX=	yes
+
+NO_BUILD=	yes
+
+PLIST_FILES=	arduino/libraries/IRremote/IRremote.cpp \
+		arduino/libraries/IRremote/IRremote.h \
+		arduino/libraries/IRremote/IRremoteInt.h \
+		arduino/libraries/IRremote/keywords.txt
+PLIST_DIRS=	arduino/libraries/IRremote
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+PLIST_FILES+=	${EXAMPLESDIR_REL}/IRrecord/IRrecord.pde \
+		${EXAMPLESDIR_REL}/IRrecvDemo/IRrecvDemo.pde \
+		${EXAMPLESDIR_REL}/IRrecvDump/IRrecvDump.pde \
+		${EXAMPLESDIR_REL}/IRrelay/IRrelay.pde \
+		${EXAMPLESDIR_REL}/IRsendDemo/IRsendDemo.pde \
+		${EXAMPLESDIR_REL}/IRtest/IRtest.pde
+PLIST_DIRS+=	${EXAMPLESDIR_REL}/IRrecord \
+		${EXAMPLESDIR_REL}/IRrecvDemo \
+		${EXAMPLESDIR_REL}/IRrecvDump \
+		${EXAMPLESDIR_REL}/IRrelay \
+		${EXAMPLESDIR_REL}/IRsendDemo \
+		${EXAMPLESDIR_REL}/IRtest \
+		${EXAMPLESDIR_REL}
+.endif
+
+do-install:
+	${MKDIR} ${PREFIX}/arduino/libraries/IRremote
+	${INSTALL_DATA} ${WRKSRC}/IRremote.cpp ${PREFIX}/arduino/libraries/IRremote
+	${INSTALL_DATA} ${WRKSRC}/IRremote.h ${PREFIX}/arduino/libraries/IRremote
+	${INSTALL_DATA} ${WRKSRC}/IRremoteInt.h ${PREFIX}/arduino/libraries/IRremote
+	${INSTALL_DATA} ${WRKSRC}/keywords.txt ${PREFIX}/arduino/libraries/IRremote
+.if ${PORT_OPTIONS:MEXAMPLES}
+	${MKDIR} ${EXAMPLESDIR}
+	cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . ${EXAMPLESDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/devel/arduino-irremote/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-irremote/distinfo	Sat Jul 21 09:17:05 2012	(r301269)
@@ -0,0 +1,2 @@
+SHA256 (IRremote.zip) = 2eff9847285330796b1fc8bf007f4a2f16dea7546ba1fcbaef1592a2235a60d4
+SIZE (IRremote.zip) = 23732

Added: head/devel/arduino-irremote/files/patch-IRremoteInt.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-irremote/files/patch-IRremoteInt.h	Sat Jul 21 09:17:05 2012	(r301269)
@@ -0,0 +1,22 @@
+$FreeBSD$
+
+--- IRremoteInt.h.orig	2009-09-05 23:55:48.000000000 -0700
++++ IRremoteInt.h	2011-12-27 15:40:59.000000000 -0800
+@@ -12,12 +12,16 @@
+ #ifndef IRremoteint_h
+ #define IRremoteint_h
+ 
++#if defined(ARDUINO) && ARDUINO >= 100
++#include <Arduino.h>
++#else
+ #include <WProgram.h>
++#endif
+ 
+ #define CLKFUDGE 5      // fudge factor for clock interrupt overhead
+ #define CLK 256      // max value for clock (timer 2)
+ #define PRESCALE 8      // timer2 clock prescale
+-#define SYSCLOCK 16000000  // main Arduino clock
++#define SYSCLOCK F_CPU  // main Arduino clock
+ #define CLKSPERUSEC (SYSCLOCK/PRESCALE/1000000)   // timer clocks per microsecond
+ 
+ #define ERR 0

Added: head/devel/arduino-irremote/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-irremote/pkg-descr	Sat Jul 21 09:17:05 2012	(r301269)
@@ -0,0 +1,7 @@
+A Multi-Protocol Infrared Remote Library for the Arduino
+
+This IR remote library, written by Ken Shirriff, lets you both send
+and receive IR remote codes in multiple protocols. It supports NEC,
+Sony SIRC, Philips RC5, Philips RC6, and raw protocols.
+
+WWW: http://www.arcfn.com/2009/08/multi-protocol-infrared-remote-library.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Pawel Pekala freebsd_committer 2012-07-21 10:18:42 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!